POST
/boleto-connectionsConectar credenciais de boleto
Request Body
requiredobject
Request with information to create a boleto connection
connectorIdrequiredinteger
Identificador do conector. Confira a lista de conectores e, se tiver a flag 'supportsBoletoManagement' como verdadeira, significa que é possível criar uma conexão de boleto com ele.
credentialsrequiredobject
Credenciais necessárias para a conexão. Para o Inter, são clientId, clientSecret, certificate e privateKey, siga: https://docs.pluggy.ai/docs/connect-an-account#inter-pj
<key>string
Example
json
{
"connectorId": 225,
"credentials": {
"clientId": "your-client-id",
"clientSecret": "your-client-secret",
"certificate": "your-certificate-no-newlines",
"privateKey": "your-private-key-no-newlines"
}
}Responses
200Conexão de Boleto criada com sucesso
object
Response with information related to a boleto connection
idrequiredstring (uuid)
Identificador principal
connectorIdrequiredinteger
Identificador principal do conector associado a esta conexão
createdAtrequiredstring (date-time)
Data em que a conexão foi criada
updatedAtrequiredstring (date-time)
Data em que a conexão foi atualizada pela última vez
Example response
json
{
"id": "dc3537ad-13b4-4770-b248-e4578983899c",
"connectorId": 225,
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}curl -X POST \
'https://api.pluggy.ai/boleto-connections' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{}'Resposta de exemplo
{
"id": "dc3537ad-13b4-4770-b248-e4578983899c",
"connectorId": 225,
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}